<?xml version="1.0" encoding="UTF-8"?>
<process:Server xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:adminservice="http://www.ibm.com/websphere/appserver/schemas/5.0/adminservice.xmi" xmlns:applicationserver="http://www.ibm.com/websphere/appserver/schemas/5.0/applicationserver.xmi" xmlns:applicationserver.ejbcontainer="http://www.ibm.com/websphere/appserver/schemas/5.0/applicationserver.ejbcontainer.xmi" xmlns:applicationserver.webcontainer="http://www.ibm.com/websphere/appserver/schemas/5.0/applicationserver.webcontainer.xmi" xmlns:loggingservice.ras="http://www.ibm.com/websphere/appserver/schemas/5.0/loggingservice.ras.xmi" xmlns:messagingserver="http://www.ibm.com/websphere/appserver/schemas/5.0/messagingserver.xmi" xmlns:namingserver="http://www.ibm.com/websphere/appserver/schemas/5.0/namingserver.xmi" xmlns:orb="http://www.ibm.com/websphere/appserver/schemas/5.0/orb.xmi" xmlns:process="http://www.ibm.com/websphere/appserver/schemas/5.0/process.xmi" xmlns:processexec="http://www.ibm.com/websphere/appserver/schemas/5.0/processexec.xmi" xmlns:traceservice="http://www.ibm.com/websphere/appserver/schemas/5.0/traceservice.xmi" xmi:id="Server_1082334657438" name="jmsserver">
  <stateManagement xmi:id="StateManageable_1082334657438" initialState="START"/>
  <statisticsProvider xmi:id="StatisticsProvider_1082334657438" specification=""/>
  <services xmi:type="adminservice:AdminService" xmi:id="AdminService_1082334657438" enable="true" standalone="false" preferredConnector="SOAPConnector_1082334657438">
    <connectors xmi:type="adminservice:SOAPConnector" xmi:id="SOAPConnector_1082334657438">
      <properties xmi:id="Property_1082334657438" name="sslConfig" value="carbon07/DefaultSSLSettings"/>
    </connectors>
    <connectors xmi:type="adminservice:RMIConnector" xmi:id="RMIConnector_1082334657438"/>
    <configRepository xmi:id="RepositoryService_1082334657439"/>
  </services>
  <services xmi:type="traceservice:TraceService" xmi:id="TraceService_1082334657439" enable="true" startupTraceSpecification="com.ibm.*=all=disabled" traceOutputType="SPECIFIED_FILE" traceFormat="BASIC" memoryBufferSize="8">
    <traceLog xmi:id="TraceLog_1082334657439" fileName="${LOG_ROOT}/jmsserver/trace.log" rolloverSize="20" maxNumberOfBackupFiles="1"/>
  </services>
  <services xmi:type="loggingservice.ras:RASLoggingService" xmi:id="RASLoggingService_1082334657439" enable="true" messageFilterLevel="NONE" enableCorrelationId="true">
    <serviceLog xmi:id="ServiceLog_1082334657439" name="${LOG_ROOT}/activity.log" size="2" enabled="true"/>
  </services>
  <services xmi:type="orb:ObjectRequestBroker" xmi:id="ObjectRequestBroker_1082334657439" enable="true" requestTimeout="180" requestRetriesCount="1" requestRetriesDelay="0" connectionCacheMaximum="240" connectionCacheMinimum="100" commTraceEnabled="false" locateRequestTimeout="180" forceTunnel="never" noLocalCopies="true">
    <properties xmi:id="Property_1082334657439" name="com.ibm.CORBA.enableLocateRequest" value="true"/>
    <properties xmi:id="Property_1082334657440" name="com.ibm.CORBA.WSSSLServerSocketFactoryName" value="com.ibm.ws.security.orbssl.WSSSLServerSocketFactoryImpl"/>
    <properties xmi:id="Property_1082334657441" name="com.ibm.CORBA.WSSSLClientSocketFactoryName" value="com.ibm.ws.security.orbssl.WSSSLClientSocketFactoryImpl"/>
    <properties xmi:id="Property_1082334657442" name="com.ibm.CORBA.ConnectionInterceptorName" value="com.ibm.ISecurityLocalObjectBaseL13Impl.SecurityConnectionInterceptor"/>
    <interceptors xmi:id="Interceptor_1082334657439" name="com.ibm.ISecurityLocalObjectBaseL13Impl.SecurityComponentFactory"/>
    <interceptors xmi:id="Interceptor_1082334657440" name="com.ibm.ISecurityLocalObjectBaseL13Impl.ServerRIWrapper"/>
    <interceptors xmi:id="Interceptor_1082334657441" name="com.ibm.ISecurityLocalObjectBaseL13Impl.ClientRIWrapper"/>
    <interceptors xmi:id="Interceptor_1082334657442" name="com.ibm.ISecurityLocalObjectBaseL13Impl.CSIClientRI"/>
    <interceptors xmi:id="Interceptor_1082334657443" name="com.ibm.ISecurityLocalObjectBaseL13Impl.CSIServerRI"/>
    <plugins xmi:id="ORBPlugin_1082334657439" name="com.ibm.ws.orbimpl.transport.WSTransport"/>
    <plugins xmi:id="ORBPlugin_1082334657440" name="com.ibm.ISecurityUtilityImpl.SecurityPropertyManager"/>
    <plugins xmi:id="ORBPlugin_1082334657441" name="com.ibm.ws.orbimpl.WSORBPropertyManager"/>
    <threadPool xmi:id="ThreadPool_1082334657439" minimumSize="10" maximumSize="50" inactivityTimeout="3500" isGrowable="false"/>
  </services>
  <errorStreamRedirect xmi:id="StreamRedirect_1082334657440" fileName="$(LOG_ROOT)/jmsserver/SystemErr.log" rolloverType="SIZE" maxNumberOfBackupFiles="1" rolloverSize="1" baseHour="24" rolloverPeriod="24" formatWrites="true" messageFormatKind="BASIC" suppressWrites="false" suppressStackTrace="false"/>
  <outputStreamRedirect xmi:id="StreamRedirect_1082334657447" fileName="$(LOG_ROOT)/jmsserver/SystemOut.log" rolloverType="SIZE" maxNumberOfBackupFiles="1" rolloverSize="1" baseHour="24" rolloverPeriod="24" formatWrites="true" messageFormatKind="BASIC" suppressWrites="false" suppressStackTrace="false"/>
  <components xmi:type="messagingserver:JMSServer" xmi:id="JMSServer_1082334657447" name="jmsserver" description="Internal WebSphere JMS Server" numThreads="1">
    <stateManagement xmi:id="StateManageable_1082334657447" initialState="START"/>
    <queueNames>TradeBrokerQueue</queueNames>
    <queueNames>BuyerQueue</queueNames>
    <queueNames>FulfillOrderQueue</queueNames>
    <queueNames>LargeOrderQueue</queueNames>
    <queueNames>ReceiveQueue</queueNames>
    <securityPort xmi:id="EndPoint_1082334657447" host="localhost" port="5557"/>
  </components>
  <components xmi:type="namingserver:NameServer" xmi:id="NameServer_1082334657448">
    <stateManagement xmi:id="StateManageable_1082334657448" initialState="START"/>
  </components>
  <components xmi:type="applicationserver:ApplicationServer" xmi:id="ApplicationServer_1082334657448" applicationClassLoaderPolicy="MULTIPLE">
    <stateManagement xmi:id="StateManageable_1082334657449" initialState="START"/>
    <services xmi:type="applicationserver:TransactionService" xmi:id="TransactionService_1082334657448" enable="true" totalTranLifetimeTimeout="120" clientInactivityTimeout="60"/>
    <components xmi:type="applicationserver.webcontainer:WebContainer" xmi:id="WebContainer_1082334657448" enableServletCaching="true">
      <stateManagement xmi:id="StateManageable_1082334657450" initialState="START"/>
      <threadPool xmi:id="ThreadPool_1082334657448" minimumSize="10" maximumSize="50" inactivityTimeout="3500" isGrowable="false"/>
    </components>
    <components xmi:type="applicationserver.ejbcontainer:EJBContainer" xmi:id="EJBContainer_1082334657448" passivationDirectory="${USER_INSTALL_ROOT}/temp" inactivePoolCleanupInterval="30000">
      <stateManagement xmi:id="StateManageable_1082334657451" initialState="START"/>
      <cacheSettings xmi:id="EJBCache_1082334657448" cleanupInterval="3000" cacheSize="2053"/>
    </components>
  </components>
  <processDefinition xmi:type="processexec:JavaProcessDef" xmi:id="JavaProcessDef_1082334657448" workingDirectory="${USER_INSTALL_ROOT}">
    <executableArguments></executableArguments>
    <execution xmi:id="ProcessExecution_1082334657448" processPriority="1000" runAsUser="" runAsGroup=""/>
    <ioRedirect xmi:id="OutputRedirect_1082334657448" stdoutFilename="${LOG_ROOT}/jmsserver/native_stdout.log" stderrFilename="${LOG_ROOT}/jmsserver/native_stderr.log"/>
    <jvmEntries xmi:id="JavaVirtualMachine_1082334657448" verboseModeClass="false" verboseModeGarbageCollection="false" verboseModeJNI="false" runHProf="false" hprofArguments="" debugMode="false" debugArgs="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=7777">
      <classpath></classpath>
      <bootClasspath></bootClasspath>
    </jvmEntries>
  </processDefinition>
</process:Server>
